# Uses of Interface
org.eclipse.emf.cdo.common.commit.CDOCommitInfoManager

Packages that use CDOCommitInfoManager
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.commit
Common concepts for dealing with commits and change sets.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common.commit
Common service provider interfaces and useful base implementations for dealing with commits and change sets.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.

## Uses of CDOCommitInfoManager in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOCommitInfoManager
Modifier and Type
Method
Description
`CDOCommitInfoManager`
CDOCommonSession.`getCommitInfoManager()`

## Uses of CDOCommitInfoManager in org.eclipse.emf.cdo.common.commit

Methods in org.eclipse.emf.cdo.common.commit that return CDOCommitInfoManager
Modifier and Type
Method
Description
`CDOCommitInfoManager`
CDOCommitInfo.`getCommitInfoManager()`
`CDOCommitInfoManager`
CDOCommitHistory.`getManager()`

## Uses of CDOCommitInfoManager in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDOCommitInfoManager
Modifier and Type
Method
Description
`static CDODataInput`
CDOCommonUtil.`createCDODataInput(org.eclipse.net4j.util.io.ExtendedDataInputStream inputStream, CDOPackageRegistry packageRegistry, CDOBranchManager branchManager, CDOCommitInfoManager commitManager, CDORevisionFactory revisionFactory, CDOListFactory listFactory, CDOLobStore lobStore)`

## Uses of CDOCommitInfoManager in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return CDOCommitInfoManager
Modifier and Type
Method
Description
`CDOCommitInfoManager`
IRepository.`getCommitInfoManager()`

## Uses of CDOCommitInfoManager in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOCommitInfoManager
Modifier and Type
Method
Description
`CDOCommitInfoManager`
CDOSession.`getCommitInfoManager()`
Returns the CDO `commit info manager` of this session.

## Uses of CDOCommitInfoManager in org.eclipse.emf.cdo.spi.common.commit

Subinterfaces of CDOCommitInfoManager in org.eclipse.emf.cdo.spi.common.commit
Modifier and Type
Interface
Description
`interface`
`InternalCDOCommitInfoManager`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDOCommitInfoManager in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOCommitInfoManager
Modifier and Type
Method
Description
`protected CDOCommitInfoManager`
CDODataInputImpl.Default.`getCommitInfoManager()`
`protected abstract CDOCommitInfoManager`
CDODataInputImpl.`getCommitInfoManager()`